Loading...
Searching...
No Matches
restinio::easy_parser::impl::decimal_number_producer_t< T > Class Template Reference

A producer for the case when a signed decimal number is expected in the input stream. More...

`#include <easy_parser.hpp>`

Inheritance diagram for restinio::easy_parser::impl::decimal_number_producer_t< T >:

## Public Types

using | try_parse_result_type = expected_t< T, parse_error_t >
Public Types inherited from restinio::easy_parser::impl::producer_tag< T >
using | result_type = T

## Public Member Functions

RESTINIO_NODISCARD try_parse_result_type | try_parse (source_t &from) const noexcept

## Protected Member Functions

template<typename Digits_Limit_Maker >
RESTINIO_NODISCARD try_parse_result_type | try_parse_impl (source_t &from, Digits_Limit_Maker &&digits_limit_maker) const noexcept

## Static Private Member Functions

template<typename Digits_Limit_Maker >
static RESTINIO_NODISCARD try_parse_result_type | try_parse_with_this_first_symbol (source_t &from, char first_symbol, Digits_Limit_Maker &&digits_limit_maker) noexcept

## Additional Inherited Members

Static Public Attributes inherited from restinio::easy_parser::impl::producer_tag< T >
static constexpr entity_type_t | entity_type

## Detailed Description

template<typename T>
class restinio::easy_parser::impl::decimal_number_producer_t< T >

A producer for the case when a signed decimal number is expected in the input stream.

In the case of success returns the extracted number.

Since
  v.0.6.6

Definition at line 2697 of file easy_parser.hpp.

## Member Typedef Documentation

## try_parse_result_type

template<typename T >

using restinio::easy_parser::impl::decimal_number_producer_t< T >::try_parse_result_type = expected_t< T, parse_error_t >

Definition at line 2703 of file easy_parser.hpp.

## Member Function Documentation

## try_parse()

template<typename T >

RESTINIO_NODISCARD try_parse_result_type restinio::easy_parser::impl::decimal_number_producer_t< T >::try_parse | ( | source_t & | from | ) | const

inline noexcept

Definition at line 2707 of file easy_parser.hpp.

## try_parse_impl()

template<typename T >
template<typename Digits_Limit_Maker >

RESTINIO_NODISCARD try_parse_result_type restinio::easy_parser::impl::decimal_number_producer_t< T >::try_parse_impl | ( | source_t & | from,
|  | Digits_Limit_Maker && | digits_limit_maker
| ) |  | const

inline protected noexcept

Definition at line 2719 of file easy_parser.hpp.

## try_parse_with_this_first_symbol()

template<typename T >
template<typename Digits_Limit_Maker >

static RESTINIO_NODISCARD try_parse_result_type restinio::easy_parser::impl::decimal_number_producer_t< T >::try_parse_with_this_first_symbol | ( | source_t & | from,
|  | char | first_symbol,
|  | Digits_Limit_Maker && | digits_limit_maker
| ) |  |

inline static private noexcept

Definition at line 2749 of file easy_parser.hpp.

The documentation for this class was generated from the following file:

- restinio/helpers/easy_parser.hpp